NLLB_LANGS = {
    "af": "afr_Latn",
    "als": "als_Latn",
    "am": "amh_Ethi",
    "an": "an",
    "ar": "arb_Arab",
    "arz": "arz_Arab",
    "as": "asm_Beng",
    "ast": "ast_Latn",
    "av": "av",
    "az": "azj_Latn",
    "azb": "azb_Arab",
    "ba": "bak_Cyrl",
    "bar": "bar",
    "bcl": "bcl",
    "be": "bel_Cyrl",
    "bg": "bul_Cyrl",
    "bh": "bh",
    "bn": "ben_Beng",
    "bo": "bod_Tibt",
    "bpy": "bpy",
    "br": "br",
    "bs": "bos_Latn",
    "bxr": "bxr",
    "ca": "cat_Latn",
    "cbk": "cbk",
    "ce": "ce",
    "ceb": "ceb_Latn",
    "ckb": "ckb_Arab",
    "co": "co",
    "cs": "ces_Latn",
    "cv": "cv",
    "cy": "cym_Latn",
    "da": "dan_Latn",
    "de": "deu_Latn",
    "diq": "diq",
    "dsb": "dsb",
    "dty": "dty",
    "dv": "dv", 
    "el": "ell_Grek",
    "eml": "eml",
    "en": "eng_Latn",
    "eo": "epo_Latn",
    "es": "spa_Latn",
    "et": "est_Latn",
    "eu": "eus_Latn",
    "fa": "pes_Arab",
    "fi": "fin_Latn",
    "fr": "fra_Latn",
    "frr": "frr",
    "fy": "fy",
    "ga": "gle_Latn",
    "gd": "gla_Latn",
    "gl": "glg_Latn",
    "gn": "grn_Latn",
    "gom": "gom",
    "gu": "guj_Gujr",
    "gv": "gv",
    "he": "heb_Hebr",
    "hi": "hin_Deva",
    "hif": "hif",
    "hr": "hrv_Latn",
    "hsb": "hsb",
    "ht": "hat_Latn",
    "hu": "hun_Latn",
    "hy": "hye_Armn",
    "ia": "ia",
    "id": "ind_Latn",
    "ie": "ie",
    "ilo": "ilo_Latn",
    "io": "io",
    "is": "isl_Latn",
    "it": "ita_Latn",
    "ja": "jpn_Jpan",
    "jbo": "jbo",
    "jv": "jav_Latn",
    "ka": "kat_Geor",
    "kk": "kaz_Cyrl",
    "km": "khm_Khmr",
    "kn": "kan_Knda",
    "ko": "Korean",
    "krc": "krc",
    "ku": "ckb_Arab",
    "kv": "kv",
    "kw": "kw",
    "ky": "kir_Cyrl",
    "la": "la",
    "lb": "ltz_Latn",
    "lez": "lez",
    "li": "lim_Latn",
    "lmo": "lmo_Latn",
    "lo": "lao_Laoo",
    "lrc": "lrc",
    "lt": "lit_Latn",
    "lv": "lvs_Latn",
    "mai": "mai_Deva",
    "mg": "plt_Latn",
    "mhr": "mhr",
    "min": "min_Arab",
    "mk": "mkd_Cyrl",
    "ml": "mal_Mlym",
    "mn": "khk_Cyrl",
    "mr": "mar_Deva",
    "mrj": "mrj",
    "ms": "mal_Mlym",
    "mt": "mlt_Latn",
    "mwl": "mwl",
    "my": "mya_Mymr",
    "myv": "myv",
    "mzn": "mzn",
    "nah": "nah",
    "nap": "nap",
    "nds": "nds",
    "ne": "npi_Deva",
    "new": "new",
    "nl": "nld_Latn",
    "nn": "nno_Latn",
    "no": "nob_Latn",
    "oc": "oci_Latn",
    "or": "or",
    "os": "os",
    "pa": "pan_Guru",
    "pam": "pam",
    "pfl": "pfl",
    "pl": "pol_Latn",
    "pms": "pms",
    "pnb": "pan_Guru",
    "ps": "pbt_Arab",
    "pt": "por_Latn",
    "qu": "quy_Latn",
    "rm": "rm",
    "ro": "ron_Latn",
    "ru": "rus_Cyrl",
    "rue": "rue",
    "sa": "san_Deva",
    "sah": "sah",
    "sc": "srd_Latn",
    "scn": "scn_Latn",
    "sco": "sco",
    "sd": "snd_Arab",
    "sh": "srp_Cyrl",
    "si": "sin_Sinh",
    "sk": "slk_Latn",
    "sl": "slv_Latn",
    "so": "som_Latn",
    "sq": "als_Latn",
    "sr": "srp_Cyrl",
    "su": "sun_Latn",
    "sv": "swe_Latn",
    "sw": "swh_Latn",
    "ta": "tam_Taml",
    "te": "tel_Telu",
    "tg": "tgk_Cyrl",
    "th": "tha_Thai",
    "tk": "tuk_Latn",
    "tl": "tgl_Latn",
    "tr": "tur_Latn",
    "tt": "tat_Cyrl",
    "tyv": "tyv",
    "ug": "uig_Arab",
    "uk": "ukr_Cyrl",
    "ur": "urd_Arab",
    "uz": "uzn_Latn",
    "vec": "vec_Latn",
    "vep": "vep",
    "vi": "vie_Latn",
    "vls": "vls",
    "vo": "vo",
    "wa": "wa",
    "war": "war_Latn",
    "wuu": "wuu",
    "xal": "xal",
    "xmf": "xmf",
    "yi": "ydd_Hebr",
    "yo": "yor_Latn",
    "yue": "yue_Hant",
    "zh": "zho_Hant"
}

M2M_LANGS = {
    "af": "af",
    "als": "sq",
    "am": "am",
    "an": "oc",
    "ar": "ar",
    "arz": "ar",
    "as": "id",
    "ast": "it",
    "av": "av",
    "az": "az",
    "azb": "az",
    "ba": "ba",
    "bar": "de",
    "bcl": "tl",
    "be": "be",
    "bg": "bg",
    "bh": "id",
    "bn": "bn",
    "bo": "zh",
    "bpy": "id",
    "br": "br",
    "bs": "bs",
    "bxr": "mn",
    "ca": "ca",
    "cbk": "es",
    "ce": "ce",
    "ceb": "ceb",
    "ckb": "ar",
    "co": "it",
    "cs": "cs",
    "cv": "tr",
    "cy": "cy",
    "da": "da",
    "de": "de",
    "diq": "diq",
    "dsb": "hr",
    "dty": "ne",
    "dv": "dv", 
    "el": "el",
    "eml": "eml",
    "en": "en",
    "eo": "es",
    "es": "es",
    "et": "et",
    "eu": "ka",
    "fa": "fa",
    "fi": "fi",
    "fr": "fr",
    "frr": "fy",
    "fy": "fy",
    "ga": "ga",
    "gd": "gd",
    "gl": "gl",
    "gn": "gn",
    "gom": "id",
    "gu": "gu",
    "gv": "ga",
    "he": "he",
    "hi": "hi",
    "hif": "hi",
    "hr": "hr",
    "hsb": "hr",
    "ht": "ht",
    "hu": "hu",
    "hy": "hy",
    "ia": "en",
    "id": "id",
    "ie": "ie",
    "ilo": "ilo",
    "io": "io",
    "is": "is",
    "it": "it",
    "ja": "ja",
    "jbo": "en",
    "jv": "jv",
    "ka": "ka",
    "kk": "kk",
    "km": "km",
    "kn": "kn",
    "ko": "ko",
    "krc": "krc",
    "ku": "ku",
    "kv": "kv",
    "kw": "kw",
    "ky": "ky",
    "la": "it",
    "lb": "lb",
    "lez": "lez",
    "li": "de",
    "lmo": "it",
    "lo": "lo",
    "lrc": "id",
    "lt": "lt",
    "lv": "lv",
    "mai": "id",
    "mg": "mg",
    "mhr": "mhr",
    "min": "ms",
    "mk": "mk",
    "ml": "ml",
    "mn": "mn",
    "mr": "mr",
    "mrj": "mrj",
    "ms": "ms",
    "mt": "ar",
    "mwl": "pt",
    "my": "my",
    "myv": "myv",
    "mzn": "mzn",
    "nah": "nah",
    "nap": "it",
    "nds": "de",
    "ne": "ne",
    "new": "ne",
    "nl": "nl",
    "nn": "no",
    "no": "no",
    "oc": "oc",
    "or": "or",
    "os": "id",
    "pa": "pa",
    "pam": "tl",
    "pfl": "de",
    "pl": "pl",
    "pms": "it",
    "pnb": "pnb",
    "ps": "ps",
    "pt": "pt",
    "qu": "qu",
    "rm": "it",
    "ro": "ro",
    "ru": "ru",
    "rue": "uk",
    "sa": "id",
    "sah": "sah",
    "sc": "it",
    "scn": "it",
    "sco": "fy",
    "sd": "sd",
    "sh": "hr",
    "si": "si",
    "sk": "sk",
    "sl": "sl",
    "so": "so",
    "sq": "sq",
    "sr": "sr",
    "su": "su",
    "sv": "sv",
    "sw": "sw",
    "ta": "ta",
    "te": "id",
    "tg": "fa",
    "th": "th",
    "tk": "tk",
    "tl": "tl",
    "tr": "tr",
    "tt": "tr",
    "tyv": "tyv",
    "ug": "fa",
    "uk": "uk",
    "ur": "ur",
    "uz": "uz",
    "vec": "it",
    "vep": "fi",
    "vi": "vi",
    "vls": "nl",
    "vo": "vo",
    "wa": "it",
    "war": "fa",
    "wuu": "zh",
    "xal": "mn",
    "xmf": "xmf",
    "yi": "yi",
    "yo": "yo",
    "yue": "zh",
    "zh": "zh"
}

MBART_LANGS = {
    "ar": "ar_AR",
    "cs": "cs_CZ",
    "de": "de_DE",
    "en": "en_XX",
    "es": "es_XX",
    "et": "et_EE",
    "fi": "fi_FI",
    "fr": "fr_XX",
    "gu": "gu_IN",
    "hi": "hi_IN",
    "it": "it_IT",
    "ja": "ja_XX",
    "kk": "kk_KZ",
    "ko": "ko_KR",
    "lt": "lt_LT",
    "lv": "lv_LV",
    "my": "my_MM",
    "ne": "ne_NP",
    "nl": "nl_XX",
    "ro": "ro_RO",
    "ru": "ru_RU",
    "si": "si_LK",
    "tr": "tr_TR",
    "vi": "vi_VN",
    "zh": "zh_CN",
    "af": "af_ZA",
    "az": "az_AZ",
    "bn": "bn_IN",
    "fa": "fa_IR",
    "he": "he_IL",
    "hr": "hr_HR",
    "id": "id_ID",
    "ka": "ka_GE",
    "km": "km_KH",
    "mk": "mk_MK",
    "ml": "ml_IN",
    "mn": "mn_MN",
    "mr": "mr_IN",
    "pl": "pl_PL",
    "ps": "ps_AF",
    "pt": "pt_XX",
    "sv": "sv_SE",
    "sw": "sw_KE",
    "ta": "ta_IN",
    "te": "te_IN",
    "th": "th_TH",
    "tl": "tl_XX",
    "uk": "uk_UA",
    "ur": "ur_PK",
    "xh": "xh_ZA",
    "gl": "gl_ES",
    "sl": "sl_SI",
}

# Mapping between ISO 639-1 two-letter language codes and full language names for the provided languages
SEAMLESS_LANGS = {
    'af': 'afr',
    'ak': 'aka',
    'am': 'amh',
    'ar': 'arb',
    'as': 'asm',
    'az': 'azj',
    'be': 'bel',
    'bg': 'bul',
    'bn': 'ben',
    'bo': 'bod',
    'bs': 'bos',
    'ca': 'cat',
    'ceb': 'ceb',
    'cs': 'ces',
    'cy': 'cym',
    'da': 'dan',
    'de': 'deu',
    'dz': 'dzo',
    'el': 'ell',
    'en': 'eng',
    'eo': 'epo',
    'es': 'spa',
    'et': 'est',
    'eu': 'eus',
    'fa': 'pes',
    'ff': 'ful',
    'fi': 'fin',
    'fr': 'fra',
    'fy': 'fry',
    'ga': 'gle',
    'gl': 'glg',
    'gu': 'guj',
    'ha': 'hau',
    'he': 'heb',
    'hi': 'hin',
    'hr': 'hrv',
    'ht': 'hat',
    'hu': 'hun',
    'hy': 'hye',
    'id': 'ind',
    'ig': 'ibo',
    'is': 'isl',
    'it': 'ita',
    'ja': 'jpn',
    'jv': 'jav',
    'ka': 'kat',
    'kg': 'kon',
    'kk': 'kaz',
    'km': 'khm',
    'kn': 'kan',
    'ko': 'kor',
    'ks': 'kas',
    'ku': 'kmr',
    'ky': 'kir',
    'lb': 'ltz',
    'lg': 'lug',
    'ln': 'lin',
    'lo': 'lao',
    'lt': 'lit',
    'lv': 'lvs',
    'mg': 'mlg',
    'mi': 'mri',
    'mk': 'mkd',
    'ml': 'mal',
    'mn': 'khk',
    'mr': 'mar',
    'ms': 'zsm',
    'mt': 'mlt',
    'my': 'mya',
    'nb': 'nob',
    'nd': 'nde',
    'ne': 'npi',
    'nl': 'nld',
    'nn': 'nno',
    'ny': 'nya',
    'oc': 'oci',
    'or': 'ory',
    'pa': 'pan',
    'pl': 'pol',
    'ps': 'pbt',
    'pt': 'por',
    'qu': 'quy',
    'rm': 'roh',
    'rn': 'run',
    'ro': 'ron',
    'ru': 'rus',
    'rw': 'kin',
    'sd': 'snd',
    'si': 'sin',
    'sk': 'slk',
    'sl': 'slv',
    'sm': 'smo',
    'sn': 'sna',
    'so': 'som',
    'sq': 'als',
    'sr': 'srp',
    'ss': 'ssw',
    'st': 'sot',
    'su': 'sun',
    'sv': 'swe',
    'sw': 'swh',
    'ta': 'tam',
    'te': 'tel',
    'tg': 'tgk',
    'th': 'tha',
    'ti': 'tir',
    'tk': 'tuk',
    'tl': 'tgl',
    'tn': 'tsn',
    'to': 'ton',
    'tr': 'tur',
    'ts': 'tso',
    'ug': 'uig',
    'uk': 'ukr',
    'ur': 'urd',
    'uz': 'uzn',
    've': 'ven',
    'vi': 'vie',
    'wo': 'wol',
    'xh': 'xho',
    'yo': 'yor',
    'zh': 'cmn',
    'zu': 'zul',
}
